Package org.eclipse.birt.chart.render

# Class CurveRenderer

java.lang.Object
org.eclipse.birt.chart.render.CurveRenderer

public final class CurveRenderer extends Object
CurveRenderer

## Constructor Summary

Constructors
Constructor
Description
`CurveRenderer(ChartWithAxes _cwa, BaseRenderer _render, LineAttributes _lia, Location[] _lo, boolean _bShowAsTape, double _tapeWidth, boolean _bDeferred, boolean _bKeepState, Fill paletteEntry, boolean usePaletteLineColor, boolean connectMissingValue)`
The constructor.
`CurveRenderer(ChartWithAxes _cwa, BaseRenderer _render, LineAttributes _lia, Location[] _lo, double _zeroLocation, boolean _bShowAsTape, double _tapeWidth, boolean _bFillArea, boolean _bTranslucent, boolean _bUseLastState, boolean _bDeferred, boolean _bKeepState, Fill paletteEntry, boolean usePaletteLineColor, boolean connectMissingValue)`
The constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`draw(IPrimitiveRenderer ipr)`
`static List<double[]>`
`generateCurvePoints(BaseRenderer _render, Location[] loPoints, boolean connectMissingValue, double fXOffset, double fYOffset)`
Generates the points of curve line.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CurveRenderer

public CurveRenderer(ChartWithAxes _cwa, BaseRenderer _render, LineAttributes _lia, Location[] _lo, boolean _bShowAsTape, double _tapeWidth, boolean _bDeferred, boolean _bKeepState, Fill paletteEntry, boolean usePaletteLineColor, boolean connectMissingValue)
The constructor.

Parameters:
  `_render` -
  `_lia` -
  `_faX` -
  `_faY` -

### CurveRenderer

public CurveRenderer(ChartWithAxes _cwa, BaseRenderer _render, LineAttributes _lia, Location[] _lo, double _zeroLocation, boolean _bShowAsTape, double _tapeWidth, boolean _bFillArea, boolean _bTranslucent, boolean _bUseLastState, boolean _bDeferred, boolean _bKeepState, Fill paletteEntry, boolean usePaletteLineColor, boolean connectMissingValue)
The constructor.

Parameters:
  `_cwa` -
  `_render` -
  `_lia` -
  `_faX` -
  `_faY` -
  `_bShowAsTape` -

## Method Details

### draw

public void draw(IPrimitiveRenderer ipr) throws ChartException

Parameters:
  `ipr` -
Throws:
  `ChartException`

### generateCurvePoints

public static List<double[]> generateCurvePoints(BaseRenderer _render, Location[] loPoints, boolean connectMissingValue, double fXOffset, double fYOffset)
Generates the points of curve line.

Parameters:
  `loPoints` -
  `connectMissingValue` -
  `fXOffset` -
  `fYOffset` -
Returns:
  points list in the form of double array